Skip to content
Framework Docs

List Directories

GET/api/v1/beta/directories

List Directories

Query ParametersExpand Collapse
include_deleted: optional boolean

Include deleted directories.

name: optional string

Directory name to match.

organization_id: optional string
page_size: optional number
page_token: optional string
project_id: optional string
type: optional "ephemeral" or "index" or "user"

Directory type to include.

One of the following:
"ephemeral"
"index"
"user"
types: optional array of "ephemeral" or "index" or "user"

Filter by one or more directory types. Repeat the parameter for multiple values.

One of the following:
"ephemeral"
"index"
"user"
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
items: array of object { id, name, project_id, 7 more }

The list of items.

id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

minLength1
project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

formatdate-time
deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: optional string

Optional description shown to users.

expires_at: optional string

When this directory expires and is eligible for cleanup.

formatdate-time
system_metadata: optional map[unknown]

Reserved system-managed metadata.

type: optional "ephemeral" or "index" or "user"

Directory type: ‘user’, ‘index’, or ‘ephemeral’.

One of the following:
"ephemeral"
"index"
"user"
updated_at: optional string

Update datetime

formatdate-time
next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

List Directories

curl https://api.cloud.llamaindex.ai/api/v1/beta/directories \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "items": [
    {
      "id": "id",
      "name": "x",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "system_metadata": {
        "foo": "bar"
      },
      "type": "ephemeral",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "name": "x",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "system_metadata": {
        "foo": "bar"
      },
      "type": "ephemeral",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}